declare class StoreDataListener {
    targetProperty: string;
    handler: Function;
}
declare class StoreDataObserver {
    listeners: Array<StoreDataListener>;
    constructor();
    observe(property: any, handler: any): void;
    notify(property: any, value: any): void;
}
declare class LocalStoreService {
    private LOCAL_DATA_NAME;
    private localData;
    Observer: StoreDataObserver;
    getProperty(property: any): any;
    setProperty(property: any, value: any): void;
    removeProperty(property: any): void;
    observe(property: any, handler: any): void;
    clear(): void;
    addToArray(arrayProperty: any, object: any): void;
    runOnArray(arrayProperty: any, fn: Function): void;
    saveFlashProperty(property: any, value: any): void;
    getFlashProperty(property: any): any;
    removeFlashProperty(property: any): void;
    cleanFlashProperties(): void;
}
export declare const LocalStorageService: LocalStoreService;
export {};
