import { AngularFirestore } from '@angular/fire/firestore';
import { Observable } from "rxjs";
export declare class FirestoreService {
    private angularFirestore;
    constructor(angularFirestore: AngularFirestore);
    getRecord(collection: string, uid: string): Promise<unknown>;
    addOrUpdateRecord(collection: string, record: any): Promise<unknown>;
    removeRecord(collection: string, uid: string): Promise<void>;
    observeRecord(collection: string, uid: string): Observable<any>;
    observeCollection(collection: string): Observable<any>;
    private addRecord;
    private updateRecord;
}
